/*
 * 11/11/2001 - 17:58:01
 *
 * PanelLatlong.java - panel d'entre de coodonnes gographique
 * Copyright (C) 2001 C. Mercier
 * c.avmdti@free.fr
 * www.avmdti.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/**
 * Titre : QRA LOCATOR<p>
 * Description : outil de calcul pour le QRA locator<p>
 * Copyright : Copyright (c) C. Mercier<p>
 * Socit : www.avmdti.org<p>
 * @author C. Mercier
 * @version 1.0
 */
package org.avmdti.qralocator.ihm;


import org.avmdti.qralocator.*;
import java.awt.*;
import javax.swing.*;


public class PanelLatLong extends Panel {
        FlowLayout flowLayout1 = new FlowLayout();

        Panel panel1 = new Panel();
        Label label6 = new Label();
        Label label5 = new Label();
        Label label4 = new Label();
        Label jLabelLatitude = new Label();
        TextField TextFieldLatitude_degre = new TextField();
        TextField jTextFieldLatitude_minute = new TextField();
        TextField TextFieldLatitude_seconde = new TextField();
        Panel panel2 = new Panel();
        Label label3 = new Label();
        Label label2 = new Label();
        Label label1 = new Label();
        TextField jTextFieldLongitude_secondes = new TextField();
        TextField jTextFieldLongitude_degre = new TextField();
        TextField TextFieldLongitude_minutes = new TextField();
        Label jLabelLongitude = new Label();

        public PanelLatLong() {
                try {
                        jbInit();
                } catch (Exception ex) {
                        ex.printStackTrace();
                }
        }

        /**
        * lecture des coordonnes inscritent dans le panel
        * @return= coordonnes lues
        */

        public coord getCoordonnee() {
                coord C = new coord( new Integer(
                        jTextFieldLongitude_degre.getText()).intValue()
                        , new Integer(
                        TextFieldLongitude_minutes.getText()).intValue()
                        , new Integer(
                        jTextFieldLongitude_secondes.getText()). intValue(),
                        new Integer(
                        TextFieldLatitude_degre.getText()).intValue(),
                        new Integer(
                        jTextFieldLatitude_minute.getText()).intValue()
                        , new Integer(
                        TextFieldLatitude_seconde.getText()).intValue());
                return (C);
        }
        /**
        * positionne des coodonnes dans le panel
        * @param= coodonnes
        * @return= void
        */
        public void setCoordonnee(coord C) {
                jTextFieldLongitude_degre.setText(
                        new Integer(C._long_degre).toString());
                TextFieldLongitude_minutes.setText(
                        new Integer(C._long_minute).toString());
                jTextFieldLongitude_secondes.setText(
                        new Integer(C._long_seconde).toString());
                TextFieldLatitude_degre.setText(
                        new Integer(C._lat_degre).toString());
                jTextFieldLatitude_minute.setText(
                        new Integer(C._lat_minute).toString());
                TextFieldLatitude_seconde.setText(
                        new Integer(C._lat_seconde).toString());


        }
        void jbInit() throws Exception {
                this.setLayout(flowLayout1);
                label6.setText("\'\'");
                label5.setText("\'");
                label4.setText("");
                jLabelLatitude.setFont(new java.awt.Font("Dialog", 1, 12));
                jLabelLatitude.setForeground(Color.blue);
                jLabelLatitude.setText("Latitude");
                TextFieldLatitude_degre.setText("00");
                jTextFieldLatitude_minute.setText(" 00");
                TextFieldLatitude_seconde.setText("00");
                label3.setText("\'");
                label2.setText("\'\'");
                label1.setText("");
                jTextFieldLongitude_secondes.setText("00");
                jTextFieldLongitude_degre.setText(" 00");
                TextFieldLongitude_minutes.setText("00");
                jLabelLongitude.setFont(
                        new java.awt.Font("Dialog", 1, 12));
                jLabelLongitude.setForeground(Color.blue);
                jLabelLongitude.setText("Longitude");
                this.add(panel2, null);
                panel2.add(jLabelLongitude, null);
                panel2.add(jTextFieldLongitude_degre, null);
                panel2.add(label1, null);
                panel2.add(TextFieldLongitude_minutes, null);
                panel2.add(label3, null);
                panel2.add(jTextFieldLongitude_secondes, null);
                panel2.add(label2, null);
                this.add(panel1, null);
                panel1.add(jLabelLatitude, null);
                panel1.add(TextFieldLatitude_degre, null);
                panel1.add(label4, null);
                panel1.add(jTextFieldLatitude_minute, null);
                panel1.add(label5, null);
                panel1.add(TextFieldLatitude_seconde, null);
                panel1.add(label6, null);
        }
}

